--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Eager load the collection using the source as a base
- !ruby/struct:SM::Flow::P 
  body: "@param [Resource, Collection] source"
- !ruby/struct:SM::Flow::VERB 
  body: "  the source to query with\n"
- !ruby/struct:SM::Flow::P 
  body: "@param [Query, Hash] other_query"
- !ruby/struct:SM::Flow::VERB 
  body: "  optional query to restrict the collection\n"
- !ruby/struct:SM::Flow::P 
  body: "@return [ManyToMany::Collection]"
- !ruby/struct:SM::Flow::VERB 
  body: "  the loaded collection for the source\n"
- !ruby/struct:SM::Flow::P 
  body: "@api private"
full_name: DataMapper::Associations::ManyToMany::Relationship#eager_load
is_singleton: false
name: eager_load
params: (source, other_query = nil)
visibility: public
